> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Metadata



## OpenAPI

````yaml firework-v4-openapi patch /firework/v4/events/tenant/metadata
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/events/tenant/metadata:
    patch:
      tags:
        - public
        - team=experience
      summary: Update Tenant Metadata
      operationId: update_tenant_metadata_events_tenant_metadata_patch
      parameters:
        - name: uid
          in: query
          required: true
          schema:
            type: string
            title: Uid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTenantMetadataBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantMetadataResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateTenantMetadataBody:
      properties:
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        severity:
          anyOf:
            - $ref: '#/components/schemas/Severity'
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: UpdateTenantMetadataBody
    TenantMetadataResponse:
      properties:
        uid:
          type: string
          title: Uid
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        tags:
          items:
            type: string
          type: array
          title: Tags
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
      type: object
      required:
        - uid
        - notes
        - tags
        - severity
      title: TenantMetadataResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Severity:
      type: string
      enum:
        - info
        - low
        - medium
        - high
        - critical
      title: Severity
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````